## azure-multiapi-storage-python 0.2.4

=== requirements.txt ===
futures
python-dateutil
requests>=2.9.2
vcrpy
azure-common
cryptography>=1.3.0

=== debian/changelog ===
azure-multiapi-storage-python (0.2.4-3) unstable; urgency=medium

  * Add Testsuite: autopkgtest-pkg-python to d/control
  * Move package under Python Modules Team maintenance

 -- Luca Boccassi <bluca@debian.org>  Sat, 07 Mar 2020 11:02:38 +0000

azure-multiapi-storage-python (0.2.4-2) unstable; urgency=medium

  * Source-only no changes upload.

 -- Luca Boccassi <bluca@debian.org>  Thu, 27 Feb 2020 10:58:58 +0000

azure-multiapi-storage-python (0.2.4-1) unstable; urgency=medium

  * Initial release. (Closes: #951731)

 -- Luca Boccassi <bluca@debian.org>  Thu, 20 Feb 2020 19:51:12 +0000

=== debian/control ===
Source: azure-multiapi-storage-python
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Luca Boccassi <bluca@debian.org>,
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-azure <!nocheck>,
               python3-setuptools,
Standards-Version: 4.5.0
Section: python
Priority: optional
Rules-Requires-Root: no
Homepage: https://github.com/Azure/azure-multiapi-storage-python
Vcs-Browser: https://salsa.debian.org/python-team/modules/azure-multiapi-storage-python
Vcs-Git: https://salsa.debian.org/python-team/modules/azure-multiapi-storage-python.git
Testsuite: autopkgtest-pkg-python

Package: python3-azure-multiapi-storage
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: Azure Storage Data Plane SDK supporting multiple API versions
 Handles multi-API versions of Azure Storage Data Plane as provided by
 python3-azure-storage and python3-azure-cosmos.

## azure-multiapi-storage-python 0.4.0

=== debian/changelog ===
azure-multiapi-storage-python (0.4.0-1) unstable; urgency=medium

  * Merge tag '0.4.0' into debian/sid
  * Drop warnings.patch, merged upstream

 -- Luca Boccassi <bluca@debian.org>  Mon, 24 Aug 2020 12:06:56 +0100

azure-multiapi-storage-python (0.3.6-1) unstable; urgency=medium

  * Merge tag '0.3.6' into debian/sid

 -- Luca Boccassi <bluca@debian.org>  Sun, 02 Aug 2020 16:19:57 +0100

azure-multiapi-storage-python (0.3.5-1) unstable; urgency=medium

  * Merge tag '0.3.5' into debian/sid
  * Add warnings.patch to fix syntax warnings

 -- Luca Boccassi <bluca@debian.org>  Mon, 20 Jul 2020 22:49:42 +0100

azure-multiapi-storage-python (0.3.2-1) unstable; urgency=medium

  * Merge tag '0.3.2' into debian/sid

 -- Luca Boccassi <bluca@debian.org>  Wed, 13 May 2020 13:38:54 +0100

## azure-multiapi-storage-python 0.5.2

=== debian/changelog ===
azure-multiapi-storage-python (0.5.2-1) unstable; urgency=medium

  * Merge tag '0.5.0' into debian/sid

 -- Luca Boccassi <bluca@debian.org>  Wed, 28 Oct 2020 10:54:43 +0000

azure-multiapi-storage-python (0.5.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Luca Boccassi ]
  * Merge tag '0.5.0' into debian/sid

 -- Luca Boccassi <bluca@debian.org>  Thu, 15 Oct 2020 10:24:27 +0100

azure-multiapi-storage-python (0.4.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Luca Boccassi ]
  * Merge tag '0.4.1' into debian/sid

 -- Luca Boccassi <bluca@debian.org>  Mon, 21 Sep 2020 11:38:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: azure-multiapi-storage-python
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>,
 Build-Depends: debhelper-compat (= 12),
                dh-python,
@@ -11,8 +11,8 @@
 Priority: optional
 Rules-Requires-Root: no
 Homepage: https://github.com/Azure/azure-multiapi-storage-python
-Vcs-Browser: https://salsa.debian.org/python-team/modules/azure-multiapi-storage-python
-Vcs-Git: https://salsa.debian.org/python-team/modules/azure-multiapi-storage-python.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/azure-multiapi-storage-python
+Vcs-Git: https://salsa.debian.org/python-team/packages/azure-multiapi-storage-python.git
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-azure-multiapi-storage

## azure-multiapi-storage-python 0.6.2

=== debian/changelog ===
azure-multiapi-storage-python (0.6.2-1) unstable; urgency=medium

  * Merge tag '0.6.2' into debian/sid
  * Bump Standards-Version to 4.6.0, no changes
  * Bump debhelper-compat to 13

 -- Luca Boccassi <bluca@debian.org>  Wed, 25 Aug 2021 11:51:24 +0100

## azure-multiapi-storage-python 0.7.0

=== debian/changelog ===
azure-multiapi-storage-python (0.7.0-1) unstable; urgency=medium

  * Merge tag '0.7.0' into debian/sid
  * Add bug tracking URLs to metadata

 -- Luca Boccassi <bluca@debian.org>  Mon, 25 Oct 2021 16:07:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: azure-multiapi-storage-python
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-azure <!nocheck>,
                python3-setuptools,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Section: python
 Priority: optional
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_AFTER_CLEAN=rm -rf azure_multiapi_storage.egg-info

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/azure-multiapi-storage-python_$1\.orig\.tar\.gz/ \
  https://github.com/Azure/azure-multiapi-storage-python/tags .*/(\d\S+)\.tar\.gz

## azure-multiapi-storage-python 0.8.0

=== debian/changelog ===
azure-multiapi-storage-python (0.8.0-1) unstable; urgency=medium

  * Merge tag '0.8.0' into debian/sid
  * Bump copyright year ranges in d/copyright
  * Switch to dh-sequence-python3
  * Switch to d/clean

 -- Luca Boccassi <bluca@debian.org>  Thu, 31 Mar 2022 17:22:45 +0100

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Uploaders: Luca Boccassi <bluca@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-azure <!nocheck>,
                python3-setuptools,

## azure-multiapi-storage-python 0.9.0

=== debian/changelog ===
azure-multiapi-storage-python (0.9.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Mon, 27 Jun 2022 14:19:40 +0100

azure-multiapi-storage-python (0.9.0-1) unstable; urgency=medium

  * Merge tag '0.9.0' into debian/sid
  * Bump Standards-Version to 4.6.1, no changes
  * Override very-long-line-length-in-source-file LW

 -- Luca Boccassi <bluca@debian.org>  Tue, 24 May 2022 15:08:27 +0100

## azure-multiapi-storage-python 0.10.0

=== debian/changelog ===
azure-multiapi-storage-python (0.10.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Mon, 26 Sep 2022 14:40:08 +0100

azure-multiapi-storage-python (0.10.0-1) unstable; urgency=medium

  * Merge tag '0.10.0' into debian/sid

 -- Luca Boccassi <bluca@debian.org>  Tue, 06 Sep 2022 13:00:11 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                python3-all,
                python3-azure <!nocheck>,
                python3-setuptools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Section: python
 Priority: optional
 Rules-Requires-Root: no

## azure-multiapi-storage-python 1.0.0

=== debian/changelog ===
azure-multiapi-storage-python (1.0.0-1) unstable; urgency=medium

  * Merge tag '1.0.0' into debian/sid
  * Bump Standards-Version to 4.6.2, no changes
  * Bump copyright year ranges in d/copyright
  * Drop d/copyright lines about removed files

 -- Luca Boccassi <bluca@debian.org>  Thu, 12 Jan 2023 10:34:21 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                python3-all,
                python3-azure <!nocheck>,
                python3-setuptools,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: python
 Priority: optional
 Rules-Requires-Root: no

## azure-multiapi-storage-python 1.2.0

=== debian/changelog ===
azure-multiapi-storage-python (1.2.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.2.0'

 -- Luca Boccassi <bluca@debian.org>  Wed, 14 Jun 2023 01:26:18 +0100

## azure-multiapi-storage-python 1.3.0

=== debian/changelog ===
azure-multiapi-storage-python (1.3.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.3.0'
  * d/control: bump Standards-Version to 4.7.0, no changes

 -- Luca Boccassi <bluca@debian.org>  Sun, 11 Aug 2024 12:51:02 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                python3-all,
                python3-azure <!nocheck>,
                python3-setuptools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: python
 Priority: optional
 Rules-Requires-Root: no

## azure-multiapi-storage-python 1.4.0

=== debian/changelog ===
azure-multiapi-storage-python (1.4.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.4.0'
  * d/control: bump Standards-Version to 4.7.2, no changes

 -- Luca Boccassi <bluca@debian.org>  Wed, 19 Mar 2025 13:01:01 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                python3-all,
                python3-azure <!nocheck>,
                python3-setuptools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: python
 Priority: optional
 Rules-Requires-Root: no

## azure-multiapi-storage-python 1.5.0

=== debian/changelog ===
azure-multiapi-storage-python (1.5.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.5.0'
  * autopkgtest: update import name
  * Update d/copyright
  * Drop source lintian override, no longer needed

 -- Luca Boccassi <bluca@debian.org>  Sun, 10 Aug 2025 11:24:29 +0100

## azure-multiapi-storage-python 1.6.0

=== requirements.txt ===
--- 
+++ 
@@ -4,3 +4,4 @@
 vcrpy
 azure-common
 cryptography>=1.3.0
+azure-core

=== debian/changelog ===
azure-multiapi-storage-python (1.6.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.6.0'

 -- Luca Boccassi <bluca@debian.org>  Tue, 07 Oct 2025 12:02:14 +0100
